// Fonts
@import url('https://fonts.googleapis.com/css?family=Nunito');

// Variables
@import 'variables';

// Bootstrap
@import '~bootstrap/scss/bootstrap';

@import "~@fortawesome/fontawesome-free/css/all.css";

@import "~vuetify/dist/vuetify.min.css";

@import "~@mdi/font/css/materialdesignicons.min.css";

@font-face {
    font-family: 'Museo Sans Cyrl-100';
    src: url(/fonts/MuseoSans/MuseoSansCyrl-100.woff);
}

@font-face {
    font-family: 'Museo Sans Cyrl-300';
    src: url(/fonts/MuseoSans/MuseoSansCyrl-300.woff);
}

@font-face {
    font-family: 'Museo Sans Cyrl-500';
    src: url(/fonts/MuseoSans/MuseoSansCyrl-500.woff);
}

@font-face {
    font-family: 'Museo Sans Cyrl-700';
    src: url(/fonts/MuseoSans/MuseoSansCyrl-700.woff);
}

@font-face {
    font-family: 'Museo Sans Cyrl-900';
    src: url(/fonts/MuseoSans/MuseoSansCyrl-900.woff);
}

@font-face {
    font-family: 'Handelson OneCYR';
    src: url('fonts/Handelson/HandelsonOneCYR-One.eot');
    src: url('fonts/Handelson/HandelsonOneCYR-One.eot?#iefix') format('embedded-opentype'),
        url('fonts/Handelson/HandelsonOneCYR-One.woff2') format('woff2'),
        url('fonts/Handelson/HandelsonOneCYR-One.woff') format('woff'),
        url('fonts/Handelson/HandelsonOneCYR-One.ttf') format('truetype'),
        url('fonts/Handelson/HandelsonOneCYR-One.svg#HandelsonOneCYR-One') format('svg');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}



* {
    box-sizing: border-box;
    outline: none !important;
    :focus {
        outline: none !important;
    }
}

button:focus {
    outline: none !important;
}

*:not(.fa):not(.fas) {
    font-family: 'Museo Sans Cyrl-500', 'Museo Sans Cyrl-700';
}

.flex {
    display: flex;
}

.v-center {
    align-items: center;
}

.space-{
    &between {
        justify-content: space-between;
    }
}

.w-260 {
    width: 260px;
}

.custom-field-smallify .v-input__slot {
    padding: 0 !important;
    margin: 0 !important;
}

.custom-field-smallify .v-text-field__details {
    display: none;
}

.alert {
    border-radius: 20px;
    display: flex;
    border: none;
    background: white;
    box-shadow: 0 0 10px -5px black;
    margin-top: 20px;
    margin-bottom: 20px;
    color: #006675;
    &:before {
        content: "";
        min-height: 100%;
        min-width: 7px;
        background: #006675;
        border-radius: 20px;
        display: block;
        margin-left: 20px;
    }
}

.snapper, .snapper + * {
    transition: box-shadow .5s;
}

.to_top_only {
    display: none !important;
}

.to_top {
    position: fixed;
    top: 0;
    background: #e1f1f1;
    width: 100%;
    z-index: 5;
    box-shadow: 0px -3px 10px black;
    & + * {
        margin-top: 100px;
    }
    .menu .down_menu {
        margin-top: 0;
    }
    .to_top_only {
        display: block !important;
    }
    .to_top_except {
        display: none !important;
    }
}

.office{
    background-color: $body;
    // padding-top: 70px;
    .pencil{
        cursor: pointer;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: #ffffff;
        left: 50px;
        top: 50px;
        width: 60px;
        height: 60px;
        border-radius: 15px;
        i{
            font-size: 20px;
        }
        position: absolute;
    }
    .center{
        padding-bottom: 100px;
    }
    .foto{
        position: relative;
        .right{
            display: flex;
            flex-direction: column;
            flex: 1;
            overflow: auto;
            max-height: 640px;
            .cabinet, .all_test, .right_container {
                flex: 1;
            }
            .go-back {
                padding-bottom: 20px;
                text-align: right;
                color: black;
                display: flex;
                justify-content: space-between;
                align-items: center;
            }
            .save{
                color: #ffd636;
                background-color: #e1f1f1;
                padding: 10px;
                padding-left: 30px;
                padding-right: 30px;
                border-radius: 40px;
                box-shadow: 10px 10px 50px #bcc9c9;
                margin-right: 15px;
                outline: none;
                border: none;
                transition: 0.5s;
                &:hover {
                    color: #E1F1F1;
                    background-color: #ffd636;
                    padding: 10px;
                    padding-left: 30px;
                    padding-right: 30px;
                    border-radius: 40px;
                    box-shadow: 10px 10px 50px #bcc9c9;
                    outline: none;
                    border: none;
                }
            }
            .info_edit{
                margin-bottom: 20px;
                min-width: 200px;
                border-bottom:solid 2px;
                border-color:  #d7ecf1;
                padding:10px;
                padding-left: 0px;
                .top{
                    color: #22858e;
                }
                input{
                    outline: none;
                    width:180px;
                    color: #22858e;
                    &::placeholder{
                        color:#e4f2f5;
                    }
                }
            }
            .text{
                font-size: 20px;
                font-weight: bold;
                margin-bottom: 30px;
            }
        }
    }
    .all_test {
        img{
            margin-right: 10px;
            height: 60px;
            width: 60px;
            border-radius: 14px;
        }
    }
    
}

.tests_history {
    .all_test {
        margin-top: 15px;
        margin-bottom: 15px;
        .v-expansion-panel{
            background-color: #D8F0F2;
            border: none;
            border-radius: 20px !important;
            &:not(:last-child) {
                margin-bottom: 25px;
            }
            &:not(:first-child):after {
                border: none;
            }
        }
        .history-test-items {
            .history-test-item {
                display: flex;
                flex-wrap: wrap;
                align-items: center;
                margin-bottom: 15px;
                .lesson-number {
                    background: gold;
                    height: 42px;
                    border-radius: 100%;
                    width: 42px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    color: white;
                    font-weight: bold;                
                    margin-right: 5px;
                }
                .lesson-name {
                    flex: 1;
                }
                .rating {
                    color: #5D97A4;
                    i.on {
                        color: gold;
                    }
                }
            }
        }
        .lower-part {
            display: flex;
            justify-content: space-between;
            .points-part {
                .score {
                    .total {
                        color: #5D97A4;
                    }
                }
            }
        }
    }
}

.socials {
    width: 260px;
    margin-top: 20px;
    display: flex;
    justify-content: space-between;
}

.up{
    background-color: $body;
    background-image: url(/foto/bg.png);
    background-position: 100% 0;
    background-repeat: no-repeat;
    background-size: 85%;
}

.v-menu__content:not(.default-menu) {
    margin-top: 5px;
    contain: initial;
    overflow: initial;
    background: transparent;
    box-shadow: none;
    &:before {
        position: absolute;
        content: "";
        top: 0;
        left: 15px;
        transform: translateY(-100%);
        width: 10px;
        height: 13px;
        border-left: 10px solid transparent;
        border-right: 10px solid transparent;
        border-bottom: 9px solid #fff;
    }
    .v-list {
        background: #ffffff;
        box-shadow: 0 5px 5px -3px rgba(0,0,0,.2), 0 8px 10px 1px rgba(0,0,0,.14), 0 3px 14px 2px rgba(0,0,0,.12);
        border-radius: 20px;
        overflow: hidden;
        padding: 20px 0;
        .v-list-item {
            font-size: 12px;
            height: auto;
            min-height: auto;
            padding: 10px 15px;
            transition: .3s;
            &:not(:last-child) {
                border-bottom: 1px solid #DDF2F4;
            }
            a {
                transition: .3s;
                color: #DDF2F4; 
                text-decoration: none;
            }
            &:hover {
                transition: .3s;
                border-left: 3px solid #FFD60C;
                a {
                    transition: .3s;
                    color: black;
                }
            }
        }
    }
}

.laguage-selector {
    align-items: center;
    display: flex;
    &.show .mini_lang {
        top: 100%;
        opacity: 1;
    }
    &.name{
        font-weight: 900;
        text-align: center;
        display: flex;
        justify-content: center;
    }
    &.show i{
        transform: rotate(180deg);
    }
    .mini_lang{
        position: absolute;
        top: 0;
        opacity: 0;
        transition: 0.5s;
    }
    &.show a{
        font-weight: 900;
        color: #001B26;
    }
    .left{
        font-size: 12px;
    }
    .center{
        padding-top: 0 !important;
        text-align: center;
        display: flex;
        justify-content: center;
    }
}

.top_menu{
    background-color: #001B26;
    color: white;
    position: relative;
    padding-left: 0;
    padding-bottom: 5px;
    padding-top: 5px;
    border-radius: 0 0 25px 25px;
    & > .up_menu {
        padding-top: 30px
    }
    .up_menu {
        display: flex;
        flex-wrap: wrap;
        & > * {
            flex: 1;
        }
        .left {
            display: flex;
            align-items: center;
            img{
                padding-right: 15px;
                max-width: 50px;
            }
        }
        .up_menu-centered {
            display: flex;
            align-items: center;
            flex-direction: column;
            justify-content: center;
        }
        .name {
            font-size: 32px;
            display: flex;
            justify-content: center;
        }
        .laguage {
            display: flex;
            justify-content: flex-end;
            align-items: center;
        }
    }
}

.menu{
    .right{
        cursor: pointer;
        position: relative;
        .toggler {
            mix-blend-mode: difference;
            color: white;
            outline: none;
            position: relative;
            z-index: 2;
        }
    }
    .mini_lang {
        position: absolute;
        top: 0;
        opacity: 0;
        transition: 0.5s;
        a {
            mix-blend-mode: difference;
            color: white;
        }
    }
    .down_menu{
        margin-top: 40px;
        align-items: center;
        display: flex;
        img{
            margin-right: 20px;
            width: 105px;
        }
        .tablo{
            margin-right: 15px;
            font-size: 14px;
            color: black;
        }
        .text_logo{
            font-weight: 900;
            margin-right: 50px;
        }
        .vhod, .reg{
            color: black;
            background-color: transparent;
            font-weight: bold;
            padding: 10px;
            padding-left: 30px;
            padding-right: 30px;
            border-radius: 40px;
            // box-shadow: 10px 10px 50px #bcc9c9;
            margin-right: 15px;
            outline: none;
            border: none;
            transition: 0.5s;
            &:hover {
                color: white;
                background-color: #ffd636;
                padding: 10px;
                padding-left: 30px;
                padding-right: 30px;
                border-radius: 40px;
                box-shadow: 10px 10px 50px #bcc9c9;
                outline: none;
                border: none;
            }
        }
        .right-part {
            display: flex;
            justify-content: flex-end;
            align-items: center;
        }
    }
}

.account {
    display: flex;
    font-weight: bold;
    img {
        width: 45px !important;
        height: 45px;
        object-fit: cover;
        border-radius: 15px;
        margin-right: 5px;
        z-index: 10;
    }
}

.content{
    margin-top: 120px;
    .fat_text{
        font-size: 30px;
        font-weight: bold;
    }
    .animated_text{
        padding-top: 10px;
        font-family: 'Handelson OneCYR';
        min-height: 70px;
        font-size: 2.4rem;
    }
    .mini_text{
        margin-top: 15px;
        color: #92AEB9;
    }
    .studying{
        margin-top: 20px;
        background-color: #ffd636;
        padding: 10px;
        padding-left: 30px;
        padding-right: 30px;
        border-radius: 40px;
        box-shadow: 10px 10px 50px #bcc9c9;
        outline: none;
        border: none;
        color: #E1F1F1;
        text-decoration: none;
    }
    .scroll{
        margin-top:70px;
        i{
            color: #dde38c;
        }
        .scroll_down{
            color: #92aeb9;
        }
    }
    .classes{
        display: flex;
        justify-content: space-between;
        margin-top: 90px;
        align-items:start;
        flex-wrap: wrap;
        a {
            text-decoration: none;
            text-decoration-color: black;
            color: black !important;
            &:hover {
                text-decoration: none;
            }
        }
        .resize-acceptor {
            flex: 1;
            display: flex;
            align-items: center;
            justify-content: center;
            height: 100px;
            a {
                width: 90%;
                height: 90%;
                transition: 0.5s;
                &:hover {
                    width: 100%;
                    height: 100%;            
                }
            }
        }
        .class:hover{
            background-color:#ffd636;
            color:#E1F1F1;
            text-decoration: none;
            i {
                background: black;
                color: #e1f1f1;
            }
        }
        .class{
            display: flex;
            width: 100%;
            box-shadow: 10px 10px 50px #bcc9c9;
            background-color: #fefefe;
            border-radius: 20px;
			border: 2px solid #FF5722;
            transition: 0.5s;
            max-height: 100%;
            height: 100%;
            align-items: stretch;
            text-decoration: none;
            color: black;
            img {
                border-radius: 20px;
                height: 100%;
                width: 100%;
                object-fit: cover;
            }
            .left {
                flex: 1;
            }
            .right {
                flex: 2;
                display: flex;
                align-items: flex-start;
                padding: 0 0 0 10px;
                flex-wrap: wrap;
                flex-direction: column;
                justify-content: center;
            }
            .class_text{
                vertical-align:top;
                font-weight:bold;
            }
            .class_text_down{
                vertical-align:bottom;
                font-size: 12px;
            }
            i{
                background-color:#e1f1f1;
                width:20px;
                height:20px;
                border-radius: 100%;
                position: relative;
                transition: .5s;
                margin-left: 10px;
            }
            .down{
                display: flex;
            }
            .down i:before {
                position: absolute;
                top: 3px;
                left: 6px;
            }
        }
    }
}   

.foto{
    background-color: #ffffff;
    border-radius: 20px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    .right{
        padding-left:40px;
        padding-top: 40px;
        padding-right: 40px;
    }
    img{
        width: 400px;
        border-radius: 20px;
        object-fit: cover;
        max-width: 100%;
    }
}

.center{
    padding-top: 70px;
    .proekt{
        display: flex;
        align-items: center;
        .up_text{
            display: flex;
            align-items: center;
            font-weight: bold;
            font-size: 26px;
            font-family: roboto;
            margin-bottom: 20px;
        }
        img{
            border-radius: 100%;
            max-height: 400px;
            width: auto;
            max-width: 100%;
            margin-right: 50px;
            width: 350px;
            height: 350px;
            object-fit: cover;
        }
    }
}

.yellow_stick{
    background-color: #ffd636;
    width : 6px;
    margin-right: 10px;
    height: 40px;
}

.end{
    background-color: #031a28;
    // height: 250px;
    padding-top: 30px;
    padding-bottom: 30px;
    position: relative;
    overflow: hidden;
    .inform{
        position: relative;
        z-index: 2;
        .top_top_info{
            .footer_reg{
                .text_foot{
                    color: #ffffff;
                    font-size: 25px;
                    padding-bottom: 30px;
                }
                .foot_register{
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                    padding: 20px 10px 20px 10px;
                    font-size: 12px;
                    color: #5a7987;
                    box-sizing: border-box;
                    border-radius: 20px;
                    background-color: white;
                    margin-bottom: 30px;
                    max-width: 345px;
                    .logi{
                        color: #ffd636;
                        background-color: #d8f0f2;
                        padding: 10px;
                        padding-left: 30px;
                        padding-right: 30px;
                        border-radius: 40px;
                        box-shadow: 10px 10px 50px #bcc9c9;
                        margin-left: 10px;
                        margin-right: 15px;
                        outline: none;
                        border: none;
                    }
                    .regis{
                        color: #e1f1f1;
                        background-color: #ffd636;
                        padding: 10px;
                        padding-left: 30px;
                        padding-right: 30px;
                        border-radius: 40px;
                        box-shadow: 10px 10px 50px #bcc9c9;
                        margin-right: 15px;
                        outline: none;
                        border: none;
                    }
                }
            }
        }
        .top_inform{
            display: flex;
            .big{
                color: #ffffff;
                font-size: 20px;
                margin-bottom: 20px;
                margin-right: 140px;
                
            }
            .bi {
                color: #5a7987;
                a {
                    color: #5a7987;
                }
            }
            .bigi{
                color: #ffffff;
                font-size: 28px;
                margin-right: 140px;
            }
            .bii{
                color: #ffffff;
                font-size: 12px;
                padding-bottom: 30px;
            }
            .footer_logos{
                display: flex;
                justify-items: space-between;
                padding-right: 10px;
                .support{
                    display: flex;
                    justify-content: space-between;
                    max-height: 62px;
                    align-items: center; 
                    color: white;
                    margin-right: 10px;
                    font-size: 13px;
                    img{
                        padding-right: 15px;
                        max-width: 48px;
                    }                
                }
                .footer_logo{
                    display: flex;
                    justify-content: space-between;
                    max-height: 62px;
                    align-items: center;
                    color: white;
                    font-size: 13px;
                    img{
                        padding-right: 15px;
                        max-width: 45px;
                    }
                }
            }
        }
    }
}

.timeline-wrapper {
    position: relative;
}

.timeline-main {
    &::before {
        height: calc(100% - 130px);
        top: 30px;
    }
    .v-timeline-item__body {
        position: relative;
        .shadow-counter {
            &.left{
                right: 95%;
            }
            top: -25px;
            color: #000000aa;
            font-size: 18px;
            font-weight: bold;
            position: absolute;
            right: 0;
        }
    }
    h5 {
        font-size: 16px;
        font-weight: bold;
        color: #051C2A;
    }
    .v-timeline-item__dot {
        border: 1px solid gainsboro;
        width: 15px;
        height: 15px;
        display: flex;
        align-items: center;
        justify-content: center;
        .v-timeline-item__inner-dot.primary {
            background: transparent !important;
            border: none !important;
            width: 5px;
            height: 5px;
            background: black !important;
        }
    }
}

.circle {
    &-timeline {
        position: absolute;
        left: -36vw;
        top: -95px;
        border: 75px solid #f3f8fc;
        border-radius: 100%;
        width: 440px;
        height: 440px;
    }
    &-footer {
        position: absolute;
        right: -44px;
        top: -15px;
        border: 40px solid #0E363E;
        border-radius: 100%;
        width: 340px;
        height: 340px;
    }
    &-usefull {
        position: absolute;
        right: 0px;
        top: 0px;
        border: 60px solid #f3f8fc;
        border-radius: 100%;
        width: 400px;
        height: 400px;
    }
}

.cabinet {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    .cabinet-item {
        background: #D8F0F2;
        border-radius: 20px;
        max-height: 110px;
        &:not(:last-child) {
            margin-bottom: 25px;
        }
        .cabinet-img {
            width: 90px;
        }
        .cabinet-item-body {
            padding: 20px;
            color: black;
            text-decoration: none;
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            align-items: start;
            .cabinet-item-button {
                background: white;
                border-radius: 30px;
                padding: 6px 20px;
                margin-top: 3px;
                display: inline-block;
                text-decoration: none;
                color: black;
                font-family: arial;
                transition: 0.5s;
                &:hover {
                    background: #FFD633;
                    background: #FFD633;
                }
            }
        }
    }
}

.category_inners {
    display: flex;
    justify-content: space-between;
    margin-top: 90px;
    align-items:start;
    flex-wrap: wrap;
    a {
        text-decoration: none;
        text-decoration-color: black;
        color: black !important;
    }
    .category_inner:hover{
        background-color:#ffd636;
        color:#E1F1F1;
    }
    .category_inner{
        box-shadow: 10px 10px 50px #bcc9c9;
        background-color: #fefefe;
        border-radius: 25px;
        padding: 0px;
        transition: 0.5s;
        min-height: 100px;
        display: flex;
        flex-direction: column;
        .top_image img{
            max-height: 260px; 
            border-radius: 25px 25px 0px 0px;
        }
        .category_title{
            align-items: center;
            font-weight:bold;
        }
        .category_down{
            font-size: 12px;
        }
    }
    & > div {
        flex: 1;
        min-width: 33%;
        flex-basis: 33%;
    }
    .category_holder{
        display: flex;
        justify-content: center;
        align-items: center;
        height: 330px;
        a {
            display: block;
            width: 90%;
            height: 90%;
            transition: 0.5s;
            &:hover {
                width: 100% !important;
                height: 100% !important;
            }
            .category_inner {
                width: 100%;
                height: 100%;
                .top_image {
                    height: 50%;
                    width: 100%;
                    img {
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                    }
                }
                .bottom_content {
                    height: 50%;
                    padding: 30px
                }
            }
        }
    }
}

.for_four.category_inners {
    & > div {
        min-width: 25%;
        flex-basis: 25%;
    }
    .category_holder {
        height: 120px;
    }
    .visit_arrow {
        padding: 0 30px 30px 30px;
    }
}

.usefull-container {
    flex-wrap: wrap;
    position: relative;
    .usefull-title {
        flex-basis: 25%;
        padding-bottom: 25px;
        padding-right: 25px;
    }
    .usefull-description {
        flex-basis: calc(75% - 25px);
    }
    .usefull-description-big {
        padding-top: 25px;
        flex-basis: calc(25% - 25px);
    }
    .usefull-image {
        flex-basis: 75%;
        padding-top: 25px;
        padding-left: 25px;
        img {
            max-width: 100%;
            border-radius: 30px;
        }
    }
}

.tests_history {
    .foto {
        .right {
            .text{
                margin-bottom: 0;
            }
            .points {
                color: #5D97A4;
                font-size: 16px;
                i {
                    color: gold;
                }
                .score-first {
                    font-size: 18px;
                }
            }
        }
    }
}

.socials-fixed {
    position: fixed;
    top: calc(225px + 0px);
    left: 5px;
    background: #fff;
    z-index: 1;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.15);
    border: 1px solid #Ddd;
    border-radius: 5px;
    ul {
        margin: 0;
        padding: 0;
        li.list-item {
            border-bottom: 1px solid #dddddd;
            padding: 10px;
            position: relative;
            &:hover {
                background: #eee;
                transition: all .5s ease-in-out;
            }
        }
    }
}

.btn-simple {
    color: #ffd636 !important;
    background-color: #e1f1f1;
    padding: 10px;
    padding-left: 30px;
    padding-right: 30px;
    border-radius: 40px;
    box-shadow: 10px 10px 50px #bcc9c9;
    margin-right: 15px;
    outline: none;
    border: none;
    transition: 0.5s;
    text-decoration: none;
    &:hover {
        color: #E1F1F1 !important;
        background-color: #ffd636;
        text-decoration: none;
    }
}

.f {
    &-1 {
        flex: 1;
    }
}

.flex {
    &-direction {
        &-column {
            flex-direction: column;
        }
    }
}

.scale {
    &-1 {
        &-7 {
            transform: scale(1.7);
        }
    }
}

.min {
    &-h {
        &-100 {
            min-height: 100%;
        }
    }
}

.additional_materials_block {
    background-color: #D8F0F2;
    border-radius: 20px;
    padding: 20px 40px;
    .additional_material {
        display: flex;
        justify-content: space-between;
        align-items: center;
        &:not(:last-child) {
            margin-bottom: 25px;
        }
        .level {
            background: white;
            height: 45px;
            width: 45px;
            max-width: 45px;
            display: flex;
            align-items: center;
            justify-content: center;
            font-weight: bold;
            border-radius: 100%;
        }
        .goto {
            a {
                color: black;
            }
        }
    }
}

.spec-usefull {
    width: 100vw;
    height: 100vh;
    position: relative;
    .usefull-left {
        position: fixed;
        width: 50vw;
        height: 100vh;
        background: #d8eff1b3;
        padding: 40px 5vw 40px 12.5vw;
        z-index: 5;
        .top_bar {
            position: absolute;
            width: calc(75vw);
            // background: #00000029;
            height: 50px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            .top_bar_left {
                padding-right: 25px;
                display: flex;
                justify-content: space-between;
                align-items: center;
                flex: 1;
                .usefull-current-category {
                    font-size: 30px;
                }
                .previous-page {
                    color: black;
                }
            }
            .top_bar_right {
                flex: 1;
                display: flex;
                align-items: center;
                justify-content: flex-end;
                & > *, a {
                    color: white;
                    &:not(:last-child) {
                        margin-right: 25px;
                    }
                }
            }
        }
        .filler {
            width: 100%;
            height: 130px;
        }
        .group_picker {
            padding-top: 90px;
            display: flex;
            align-items: center;
            position: relative;
            .lines {
                min-width: 60px;
                margin-right: 100px;
                & > div {
                    width: 30px;
                    height: 2px;
                    background: black;
                    transition: .5s;
                    &:not(:last-child) {
                        margin-bottom: 15px;
                    }
                    &:hover, &.hover {
                        width: 60px;
                        background: gold;
                    }
                }
            }
            .retreat {
                cursor: pointer;
                position: absolute;                
                top: 100px;
                left: 160px;
                border: 2px solid black;
                width: 30px;
                height: 30px;
                border-radius: 100%;
                display: flex;
                align-items: center;
                justify-content: center;
                transition: .3s;
                opacity: 0;
                transform: rotate(90deg);
                &.on {
                    top: 40px;
                    opacity: 1;
                    transform: rotate(0deg);
                }
                &:hover {
                    color: gold;
                    border-color: gold;
                }
            }
            .categories {
                overflow: hidden;
                display: flex;
                .categories-abstract {
                    max-height: 180px;
                    min-width: 100%;
                    transition: .3s;
                    &.off {
                        transform: translateX(100%);
                    }
                }
                .categories-exact {
                    max-height: 180px;
                    min-width: 100%;
                    transition: .3s;
                    transform: translateX(-200%);
                    &.on {
                        transform: translateX(-100%);
                    }
                }
                .category {
                    cursor: pointer;
                    font-family: arial;
                    font-size: 30px;
                    transition: .5s;
                    &:hover {
                        color: gold;
                    }
                }
            }
        }
    }
    .usefull-list {
        scroll-snap-type: mandatory;
        scroll-snap-points-y: repeat(100vh);
        scroll-snap-type: y mandatory;
        overflow: scroll;
        height: 100vh;
        scroll-behavior: smooth;
        .usefull-list-item { 
            padding-left: 50vw;
            height: 100vh;
            background-size: 100%;
            scroll-snap-align: start;
            background-repeat: repeat;
            .usefull-list-item-inner {
                padding: 120px 12.5vw 40px 5vw;
                background-color: #003d2f59;
                height: 100vh;
                display: flex;
                color: white;
                overflow: hidden;
                .usefull-list-item-inner-left {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    justify-content: flex-start;
                    flex: 1;
                    .picture {
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        position: relative;
                        img {
                            max-width: 90%;
                            width: 320px;
                        }
                        .usefull-list-pagination {
                            position: absolute;
                            right: -45%;
                            // background: red;
                            display: flex;
                            flex-direction: column;
                            align-items: flex-end;
                            .page {
                                font-size: 30px;
                                line-height: 33px;
                                font-family: arial;
                                font-weight: lighter;
                            }
                            .divider {
                                background: #5E96A4;
                                height: 1px;
                                width: 18px;
                            }
                            .of {
                                color: #5E96A4;
                            }
                        }
                    }
                    .quote {
                        margin: 20px 0;
                    }
                    .author {
                        font-weight: bold;
                        margin-bottom: 20px;
                    }
                }
                .usefull-list-item-inner-right {
                    flex: 1;
                }
            }
            &.country {
                background-image: url('/foto/backgrounds/country.png');
            }
            &.film {
                background-image: url('/foto/backgrounds/film.png');
            }
            &.patriot {
                background-image: url('/foto/backgrounds/patriot.png');
            }
            &.art {
                background-image: url('/foto/backgrounds/art.png');
            }
            &.music {
                background-image: url('/foto/backgrounds/musical.png');
            }
            &.theater {
                background-image: url('/foto/backgrounds/theater.png');
            }
        }
    }
}

.container.musicas{
    justify-content: flex-start !important;
    .music-art{
        width: 300px;
        min-height: 100px !important;
        #music h1{
            display: flex;
            justify-content: space-between;
            width: 230px;
        }
        .about-art p{
            font-size: 26px;
            padding-top: 25px;
        }
    }
}

.bg {
    &-country, &-film, &-patriot, &-art, &-musical, &-theater {
        background-repeat: repeat;
        z-index: 5;
    }
    &-country {
        background-image: url('/foto/backgrounds/country.png');
    }
    &-film {
        background-image: url('/foto/backgrounds/film.png');
    }
    &-patriot {
        background-image: url('/foto/backgrounds/patriot.png');
    }
    &-art {
        background-image: url('/foto/backgrounds/art.png');
    }
    &-musical {
        background-image: url('/foto/backgrounds/musical.png');
    }
    &-theater {
        background-image: url('/foto/backgrounds/theater.png');
    }
}

input {
    outline: none;
    color: #22858e;
}

.bluish-bg {
    background-color: #E1F1F1;
}

.go-back-big-block {
    display: flex;
    justify-content: flex-end;
    a {
        color: black !important;
    }
}

.what-you-got{
    .help_img{
        flex: 1;
        display: contents;
        margin-right: 166px;
        img{
            max-height: 350px;
            max-width: 250px;
            border-radius: 25px;
            margin-right: 166px;
        }
    }
    .you{
        flex: 1;
        .about-what-you-got{
            max-height: 360px;
            .help_timeline{
            	&:before {
                	top: 25px;
                	height: 75%;
            	}
            	.timeline_help{
                    .mt-1{
                        font-size: 13px;
                        padding-right: 80px;
                    }
                }
            	.v-timeline-item__dot {
	                width: 10px;
                	box-shadow: none;
                	.v-timeline-item__inner-dot {
	                    width: 10px;
                    	border-radius: 0;
                	}
            	}
            }
            .timeline_help{
                font-size: 13px;
            }
        }
        .help_info{
            color: rgb(54, 126, 137);
        }
    }
}

.help {
    .point {
        .point-number {
            position: relative;
            z-index: 1;
        }
        &:not(:last-child):not(:first-child) {
            .pointed {
                position: relative;
                &:before {
                    content: "";
                    position: absolute;
                    background-color: #106673;
                    height: 300%;
                    top: -100%;
                    width: 2px;
                    left: calc(11% - 0px);
                    z-index: 0;
                }
            }
        }
    }
    .pointed {
        align-items: center;
        display: flex;
        background: border-box;
        width: 220px;
        p {
            font-size: 20px;
            font-weight: bold;
        }
        .point-number {
            width: 50px;
            height: 50px;
            border-radius: 50%;
            background-color: rgb(16, 102, 115);
            font-size: 20px;
            padding: 15px 20px;
            color: white;
            //font-family: 'Museo Sans Cyrl-300';
            margin-right: 10px;
            display: flex;
            align-items: center;
            justify-self: center;
            transition: .5s;
        }
        .point-number:hover{
            width: 50px;
            height: 50px;
            border-radius: 50%;
            background-color: gold;
            font-size: 20px;
            padding: 15px 20px;
            color: white;
            //font-family: 'Museo Sans Cyrl-300';
            margin-right: 10px;
            display: flex;
            align-items: center;
            justify-self: center;
            &:before {
                content: "";
                position: absolute;
                width: 2px;
            }
        }
    }
}

@media (min-width: 576px) {
    .container-sm, .container {
        max-width: 540px;
    }
}
@media (max-width: 576px) {
    .menu .down_menu .left-part {
        flex-wrap: wrap;
    }
    .content .classes {
        justify-content: center;
    }
    .classes > div {
        flex-basis: 100%;
        margin-bottom: 20px;
    }
    .center .proekt img {
        margin-right: 0;
    }
    .additional_materials_block .additional_material {
        flex-wrap: wrap;
        justify-content: center;
        & > * {
            flex-basis: 100%;
        }
        .goto {
            display: flex;
            justify-content: flex-end;
        }
    }
    h1 {
        font-size: 1.25rem;
    }
}

@media (min-width: 768px) {
    .container-md, .container-sm, .container {
        max-width: 720px;
    }
}
@media (max-width: 768px) {
    .menu .down_menu {
        flex-wrap: wrap;
        justify-self: center;
        .left-part {
            justify-content: center;
        }
        .right-part {
            margin-top: 20px;
            justify-content: center;
        }
        & > .flex {
            flex-wrap: wrap;
            justify-content: space-between;
        }
    }
    .end {
        padding-bottom: 25px;
        .top_inform {
            flex-wrap: wrap;
            & > div {
                margin-bottom: 25px;
            }
        }
    }
}

.reset-password.description {
    max-width: 320px;
    color: #15808B;
}

@media (min-width: 992px) {
    .container-lg, .container-md, .container-sm, .container {
        max-width: 960px;
    }
}
@media (max-width: 992px) {
    .up {
        background-image: none !important;
    }
    .circle-footer, .circle-timeline, .usefull-timeline {
        display: none;
    }
    .center .proekt {
        flex-wrap: wrap;
        justify-content: center;
    }
}

@media (min-width: 1200px) {
    .container-xl, .container-lg, .container-md, .container-sm, .container {
        max-width: 1000px;
    }
}
*{
	 overflow-x:  hidden; }	